=== debian/changelog ===
qt6-wayland (6.8.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to use the same pointing device for releasing as all
    other events, fixes QTBUG-127821.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Apr 2025 00:13:46 +0200

qt6-wayland (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:28:00 +0100

qt6-wayland (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 21:29:54 +0100

qt6-wayland (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Remove patches that have been applied upstream.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Feb 2025 23:52:19 +0100
