=== src/plugins/decorations/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from decorations.pro.
if (QT_FEATURE_wayland_decoration_adwaita)
    add_subdirectory(adwaita)
endif()

add_subdirectory(bradient)
