## qt6-wayland 6.9.1

=== debian/changelog ===
qt6-wayland (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Replace QT_BUILD_TOOLS_WHEN_CROSSCOMPILING with QT_FORCE_BUILD_TOOLS
    for cross-builds.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Aug 2025 22:31:01 +0200

qt6-wayland (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Remove patches that have been applied upstream.
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update ABI to 6.9.1.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Jul 2025 14:24:43 +0200
