=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: qt6-wayland
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-           Lu YaNing <dluyaning@gmail.com>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               ccache [linux-any],
                cmake (>= 3.24~),
                libdrm-dev,
                libegl1-mesa-dev,
@@ -22,18 +21,18 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-               qt6-svg-dev (>= 6.8.3~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-svg-dev (>= 6.9.1~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -42,7 +41,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.8.3),
+Provides: qt6-waylandclient-private-abi (= 6.9.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -55,7 +54,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.8.3),
+Provides: qt6-waylandcompositor-private-abi (= 6.9.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature
